Subject: possible leap year bug in pine?

From: [email-masked] (John C. Hayward)
Date: 29 Feb 1996 22:44:58 -0600

Dear Piners,
   Today (Feb 29th) we have had many people who run pine-3.89 crash on starting
up with a complaint about invalid msgno in some structure followed by a
floating point error.  With pine-3.91 I noticed that mail was sorted in
a particularly interesting way - it was to be sorted in reverse date.  All
day I saw the number of mail messages growing but I was a bit confused because
the top mail message was Feb 28.  Upon close examination I noticed that
messages dated Feb29th (and even one dated March 1 (from Australia) occured
below the Feb 28th messages.  Messages before Feb28th occured in the correct
order.  We are running this on Ultrix 4.4 system.

   I believe either a bug in pine or one in Ultrix 4.4 (ticked by pine) is the
cause of both of these problems.

   Anyone have similar problems?  If you know a fix please e-mail to:
   [email-masked]

johnh...